jurschel
Contributor
Contributor

ESXi 6.0 and Emulex LPe11000 (possibly other Emulex cards that aren't working oob)

I'm posting this so others might not have to spend hours on the line with support figuring this out.

My environment is older and has the Emulex LPe11000 hba cards.  This card isn't discovered oob.

Obviously a problem right.  After spending hours on the phone with VMWare support they pointed me to Emulex.

The issue really is that some of VMWare's support personnel don't know where they keep all the VIB files for their OS.

I was able to find the attached VIB here.  Import this and apply it and your Emulex card will start working and you can take your hosts up to ESXi 6.

http://vibsdepot.hp.com/hpq/mar.30.2015/

23 Replies
mcbrideab
Contributor
Contributor

Thank you for posting this, it really helped me out!

I had been looking for the right VIB for a couple of hours and finally found this post. Your link was right on, and now my hosts can see the storage again.

Thanks!

0 Kudos
Hera_Daniele
Contributor
Contributor

Thank you for posting, you solved my problem!!!

0 Kudos
memorx
Contributor
Contributor

Solved it for me too.

thanks !

0 Kudos
panzer_34_76
Contributor
Contributor

Good day, jurschel!

This VIB helped to find lp1150e again after upgrade ESXi from 5.5u2 to 6.0.0u1  - so i want thank you, your help is very appreciated.

With best regards,

Vasily Shcherbakov.

0 Kudos
EurporaSupport
Contributor
Contributor

Thanks very much for your research and solution to this issue.  I have an HP DL380 G6 with Emulex LP1000e HBA's that I have not been able to get to work with ESX 6.0U2.  Your vib link did the trick.  Thank you.

0 Kudos
mjunek
Contributor
Contributor

Two and a half years later and you're still helping people Smiley Happy

Have been spending the last 3 hours trying to get an older LPe1150 running, and this VIB saved the day.

Thank you so much!

0 Kudos
binyao
Contributor
Contributor

My HBA card is HP A8002A(lpe 1150),it's good for ESXi 6.0 ,but on ESXI 6.5 ,it says  "[DependencyError]"

[root@localhost:~] esxcli software vib install -v /tmp/scsi-lpfc820-10.2.459.0-1OEM.500.0.0.472560.x86_64.vib

[DependencyError]

VIB Emulex_bootbank_scsi-lpfc820_10.2.459.0-1OEM.500.0.0.472560 requires vmkapi_2_0_0_0, but the requirement cannot be satisfied within the ImageProfile.

VIB Emulex_bootbank_scsi-lpfc820_10.2.459.0-1OEM.500.0.0.472560 requires com.vmware.driverAPI-9.2.0.0, but the requirement cannot be satisfied within the ImageProfile.

Please refer to the log file for more details.

I know that the "lpe 1150" card is not supported on ESXI 6.5.

So , what can i do??

thank you!

0 Kudos
MikelKerejeta
Contributor
Contributor

HI,

Is any option to have ESXi 6.5 Drivers for that Emulex Card?

I can't see anywhere this driver for ESXi 6.5 ...

"Emulex LPe11000 4Gb Fibre channel ""

Thank in advanced!

0 Kudos
davdjross
Contributor
Contributor

Thanks for this. Worked a treat earlier. I upgraded from 5.5 to 6.0 U3 and the HBA driver wasn't even loaded. Using your help this was fixed quickly.

0 Kudos
MattThe_CaT
Contributor
Contributor

Updated Information on VMware 6.5 support for EMULEX  LPe11000

Officially VMware have discontinued driver support for this Chipset (Among others)

Read here for a more complete list of other chipsets that are now at discontinued support VMware Knowledge Base

And just to give everyone the Best chance of success, (despite VMware not supporting the chipset)

I can confirm that I got VMware ESXi 6.5 working with these LPFC drivers below

Name:     VMware ESXi 5.5 lpfc 10.5.39.0 FC/FCoE Driver for Emulex and OEM Branded Adapters.

File:     VMW-ESX-5.5.0-lpfc-10.5.39.0-2679458.zip

Version:     10.5.39.0

Release Date:     2015-04-22

https://my.vmware.com/group/vmware/details?downloadGroup=DT-ESXI55-EMULEX-LPFC-105390&productId=420

And I've tested nearly every later/newer version and it DOES NOT WORK!

and be warned that VMWare Update manager will attempt to update this driver to like Version 11.? and that will stop the Driver from working

so be careful to NOT install the LPFC driver update when running update manager.

Good luck

subchris
Contributor
Contributor

Thank you!  I wish I found this sooner.  It would have saved me hours of banging my head against my desk. 

0 Kudos
lukieto
Contributor
Contributor

Thank you for link.  It is also work on vmware 6.0.0 Release 6765062

0 Kudos
KRVishwa
Contributor
Contributor

thanks it resolved the issue

0 Kudos
tural183
Contributor
Contributor

Thank you ! it solved my problem !

0 Kudos
Rincey
Contributor
Contributor

This procedure worked like a charm. Thanks

0 Kudos
djmanning
Contributor
Contributor

Also loaded into 6.7U3 (lpe11002-e)

0 Kudos
wdf
Contributor
Contributor

Thank you!

Updated Information on VMware 6.7 Up3 support for EMULEX  LPe1150.

I can confirm that I got VMware ESXi 6.7 Up3 working with these LPFC drivers.

0 Kudos
alexmedvedev
Contributor
Contributor

I can confirm this is still a working solution on VMWare ESXi 6.7 U3.

Got mine working on good old R710 via esxcli over ssh:

cd /tmp

wget http://vibsdepot.hpe.com/hpq/jun2015/esxi-550-devicedrivers/VMW-ESX-5.5.0-lpfc-10.5.39.0-2679458.zip

unzip /tmp/VMW-ESX-5.5.0-lpfc-10.5.39.0-2679458.zip

esxcli software vib install -v /tmp/lpfc-10.5.39.0-1OEM.550.0.0.1331820.x86_64.vib

You will get:

Installation Result

   Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.

   Reboot Required: true

   VIBs Installed: Emulex_bootbank_lpfc_10.5.39.0-1OEM.550.0.0.1331820

   VIBs Removed: EMU_bootbank_lpfc_12.2.373.1-1OEM.670.0.0.8169922

   VIBs Skipped:

do #reboot

et voilà!

pastedImage_0.png

cyj19934256
Contributor
Contributor

那你后面怎么做的,

Is that how to do behind you?

The  Lpe11000    how  to  do  on      ESXi6.5  ?

0 Kudos